Bug 505667 - Fedora 11 fails to boot after preupgrade from Fedora 10 - GRUB chainloading or ZFS issue?
Fedora 11 fails to boot after preupgrade from Fedora 10 - GRUB chainloading o...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 16:03 EDT by Andreas Färber
Modified: 2014-01-21 18:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:56:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andreas Färber 2009-06-12 16:03:45 EDT
Description of problem:
Reboot after preupgrade from Fedora 10 to Fedora 11 fails, with Fedora (GRUB) in unusable state.

Version-Release number of selected component (if applicable):
latest available on Fedora 10

How reproducible:
first preupgrade attempt - 1/1 failed
boot fails reproducibly 100%

Steps to Reproduce:
1. install preupgrade through add/remove packages app
2. $ su
3. # preupgrade &
4. select Fedora 11
  
Actual results:
- console mentioned unresolved dependency libcrypto.so.7
- downloads packages and prompts to reboot
- on boot, prints "GRUB " in white letters on black background and does nothing further
- reboot is possible via Ctrl+Alt+Del

Expected results:
- show graphical GRUB boot menu
- boot up Fedora 11

Additional info:
System has OpenSolaris' (ZFS-based) GRUB in boot sector
Fedora's GRUB is chain-loaded from secondary ext3 partition
OpenSolaris' GRUB is unaffected, Fedora's is broken
Comment 1 Andreas Färber 2009-06-13 11:48:26 EDT
In rescue mode, `grub` says:
Running "embed /boot/grub/e2fs_stage1_5 (hd0,1)".... failed

I do get to some GRUB prompt then, but due to lack of ext2 fs support it's pretty useless as well.

# md5sum /boot/grub/e2fs_stage1_5
c5265e6de4a3da44be2010dd4a1e1fea  /boot/grub/e2fs_stage1_5

Leonidas installation was configured in grub.conf, except for a missing "root (hd0,1)" line.
Comment 2 rh 2009-06-24 07:57:00 EDT
I had the same problem today, so couldn't reboot after preupgrade was ran.
Need reinstall grub to boot again.
Moreover it can be confusing (especially for end users) that you need press enter on boot to select 'Upgrade to F11 - otherwise, F10 will be booted by default and upgrade will be done.
Reference bug
https://bugzilla.redhat.com/show_bug.cgi?id=496952
Comment 3 rh 2009-06-24 07:58:58 EDT
Just fix typo above, the sentence should be 
...'Upgrade to F11' - otherwise, F10 will be booted by
default and NO upgrade will be done.
Comment 4 Bug Zapper 2010-04-27 10:50:27 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 08:56:51 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.